<?php

	/*
		Plugin Name: Crear Escasez
		Plugin URI: https://recursosguru.com/crearescasez/
		Description: Plugin para crear escasez dinámica o fija en tus paginas
		Author: Recursos Gurú
		Version: 1.0
		Author URI: https://recursosguru.com
	*/

	function gestion_reloj($atts){

		$result = "";

		$args = shortcode_atts(array(
			'i' => '',
			'u' => ''
		), $atts);

  		$host = parse_url(get_option('siteurl'), PHP_URL_HOST);

  		if($args['i'] > 0){
  			$cookie_name = 'ctd_wp_' . $args['i'];
  			$cookie = "";

  			if(isset($_COOKIE[$cookie_name])){
  				$cookie = $_COOKIE[$cookie_name];
  			}

  			if(!empty($_SERVER['HTTP_CLIENT_IP'])){
				//check ip from share internet
				$ip = $_SERVER['HTTP_CLIENT_IP'];
			} 
			elseif(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){
				//to check ip is pass from proxy
				$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
			} 
			else{
				$ip = $_SERVER['REMOTE_ADDR'];
			}


			// The data to send to the API
			$postData = array(
			    'endpoint' => 'check_countdown_timer',
			    'ip' => $ip,
			    'cookie' => $cookie,
			    'host' => $host,
			    'timer_id' => $args['i'],
			    'user' => $args['u']
			);

			// Setup cURL
			$ch = curl_init('https://api.recursosguru.com/api.php');
			curl_setopt_array($ch, array(
			    CURLOPT_POST => TRUE,
			    CURLOPT_RETURNTRANSFER => TRUE,
			    CURLOPT_HTTPHEADER => array(
			        'Content-Type: application/json'
			    ),
			    CURLOPT_POSTFIELDS => json_encode($postData)
			));

			// Send the request
			$response = curl_exec($ch);

			// Check for errors
			if($response === FALSE){
			    die(curl_error($ch));
			}

			// Decode the response
			$responseData = json_decode($response, TRUE);

			// Print the date from the response
			if(isset($responseData['cookie'])){
				$new_cookie = $responseData['cookie'];
				setcookie($cookie_name, $new_cookie, 2147483647, COOKIEPATH, COOKIE_DOMAIN);
				list($cookie_id, $cookie_time) = explode("_", $new_cookie);
			}
			else{
				list($cookie_id, $cookie_time) = explode("_", $cookie);
			}

			$target = $cookie_time;
			$redirect_route = 'http://' . $responseData['redirect'];

			if(($target - time()) > 0){
				wp_register_script('timer_script', plugins_url('/js/' . $responseData['view'] . '.js', __FILE__), array('jquery'), time(), true);
	    		wp_register_style('timer_style', plugins_url('/css/' . $responseData['view'] . '.css', __FILE__), false, time(), 'all');

				wp_register_script('tween', 'https://cdnjs.cloudflare.com/ajax/libs/gsap/latest/TweenMax.min.js');
	    		wp_enqueue_script('tween');

	    		wp_enqueue_script('timer_script');
	   			wp_enqueue_style('timer_style');
	   			add_action('wp_enqueue_scripts', 'ss_scripts');

	   			switch($responseData['view']){
					case 1:
						$result = "
		   					<div id='target_date' style='display: none;' target='" . $target . "' redirect='" . $redirect_route . "''></div>
		   					<br>
		   					<div id='countdown1'>
			  					<div id='tiles1' name='reloj1'></div>
			  					<div class='labels1'>
								    <li>Días</li>
								    <li>Horas</li>
								    <li>Minutos</li>
								    <li>Segundos</li>
			 					</div>
							</div>
							<br>";
						break;
					case 2:
						$result = "
							<div class='timer2'>
								<div id='target_date' style='display: none;' target='" . $target . "' redirect='" . $redirect_route . "''></div>
								<div class='countdown' id='js-countdown' name='reloj2'>
		    						<div class='countdown__item countdown__item--large'>
		      							<div class='countdown__timer js-countdown-days' aria-labelledby='day-countdown'>
		     							</div>
		      
		    							<div class='countdown__label' id='day-countdown'>
		    								Días
		    							</div>
		    						</div>
		    
		    						<div class='countdown__item'>
		     							<div class='countdown__timer js-countdown-hours' aria-labelledby='hour-countdown'>
		        						</div>
		      
		      							<div class='countdown__label' id='hour-countdown'>
		      								Horas
		      							</div>
		    						</div>
		    
		    						<div class='countdown__item'>
		      							<div class='countdown__timer js-countdown-minutes' aria-labelledby='minute-countdown'>
		      							</div>
		      
		      							<div class='countdown__label' id='minute-countdown'>
		      								Minutos
		      							</div>
		    						</div>
		    
		    						<div class='countdown__item'>
		      							<div class='countdown__timer js-countdown-seconds' aria-labelledby='second-countdown'>
		      							</div>
		      
		      							<div class='countdown__label' id='second-countdown'>
		      								Segundos
		      							</div>
		    						</div>
		  						</div>
	  						</div>
						";
						break;

					case 3:
						$result = "
							<div id='clockdiv' name='reloj3'>
								<div id='target_date' style='display: none;' target='" . $target . "' redirect='" . $redirect_route . "''></div>
	  							<div>
	    							<span class='days'></span>
	    							<div class='smalltext'>Días</div>
	  							</div>
	  							<div>
	    							<span class='hours'></span>
	    							<div class='smalltext'>Horas</div>
	  							</div>
	  							<div>
	    							<span class='minutes'></span>
	    							<div class='smalltext'>Minutos</div>
	  							</div>
	  							<div>
	    							<span class='seconds'></span>
	    							<div class='smalltext'>Segundos</div>
	  							</div>
							</div>
							<br><br><br>
						";
						break;

					case 4:
						$result = "
							<div class='wrap4'>
								<div id='target_date' style='display: none;' target='" . $target . "' redirect='" . $redirect_route . "''></div> 
								<div class='countdown4' name='reloj4'>
									<div class='bloc-time days' data-init-value='99'>
	    								<span class='count-title'>
	    									Días
	    								</span>

	    								<div class='figure days days-1'>
	      									<span class='top'>9</span>
	      									<span class='top-back'>
	        									<span>9</span>
	      									</span>
	      									<span class='bottom'>9</span>
	      									<span class='bottom-back'>
	        									<span>9</span>
	      									</span>
	    								</div>

	    								<div class='figure days days-2'>
	      									<span class='top'>9</span>
	      									<span class='top-back'>
	        									<span>9</span>
	      									</span>
	      									<span class='bottom'>9</span>
	      									<span class='bottom-back'>
	        									<span>9</span>
	      									</span>
	    								</div>
	  								</div>
	    							<div class='bloc-time hours' data-init-value='23'>
	      								<span class='count-title'>
	      									Horas
	      								</span>

	    								<div class='figure hours hours-1'>
	        								<span class='top'>2</span>
	        								<span class='top-back'>
	          									<span>2</span>
	        								</span>
	        								<span class='bottom'>2</span>
	        								<span class='bottom-back'>
	        									<span>2</span>
	        								</span>
	      								</div>

	      								<div class='figure hours hours-2'>
		        							<span class='top'>3</span>
		        							<span class='top-back'>
		          								<span>3</span>
		        							</span>
		        							<span class='bottom'>3</span>
		        							<span class='bottom-back'>
		          								<span>3</span>
		        							</span>
	      								</div>
	    							</div>

		    						<div class='bloc-time min' data-init-value='59'>
		      							<span class='count-title'>
		      								Minutos
		      							</span>

		      							<div class='figure min min-1'>
		        							<span class='top'>5</span>
		        							<span class='top-back'>
		        								<span>5</span>
		        							</span>
		        							<span class='bottom'>5</span>
		        							<span class='bottom-back'>
		          								<span>5</span>
		        							</span>        
		      							</div>

			      						<div class='figure min min-2'>
			       							<span class='top'>9</span>
			        						<span class='top-back'>
			          							<span>9</span>
			        						</span>
			        						<span class='bottom'>9</span>
			        						<span class='bottom-back'>
			          							<span>9</span>
			        						</span>
			      						</div>
			    					</div>

			    					<div class='bloc-time sec' data-init-value='59'>
			      						<span class='count-title'>
			      							Segundos
			      						</span>

			        					<div class='figure sec sec-1'>
			        						<span class='top'>5</span>
			        						<span class='top-back'>
			          							<span>5</span>
			        						</span>
			        						<span class='bottom'>5</span>
			        						<span class='bottom-back'>
			          							<span>5</span>
			        						</span>          
			      						</div>

			      						<div class='figure sec sec-2'>
				        					<span class='top'>9</span>
				        					<span class='top-back'>
				          						<span>9</span>
				        					</span>
				        					<span class='bottom'>9</span>
				        					<span class='bottom-back'>
				          						<span>9</span>
				        					</span>
			      						</div>
		    						</div>
		  						</div>
							</div>
						";
						break;

					case 5:
						$result = "
							<div class='wrapper'>
							  <div class='time-part-wrapper'>
							    <div class='time-part minutes tens'>
							      <div class='digit-wrapper'>
							        <span class='digit'>0</span>
							        <span class='digit'>5</span>
							        <span class='digit'>4</span>
							        <span class='digit'>3</span>
							        <span class='digit'>2</span>
							        <span class='digit'>1</span>
							        <span class='digit'>0</span>
							      </div>
							    </div>
							    <div class='time-part minutes ones'>
							      <div class='digit-wrapper'>
							        <span class='digit'>0</span>
							        <span class='digit'>9</span>
							        <span class='digit'>8</span>
							        <span class='digit'>7</span>
							        <span class='digit'>6</span>
							        <span class='digit'>5</span>
							        <span class='digit'>4</span>
							        <span class='digit'>3</span>
							        <span class='digit'>2</span>
							        <span class='digit'>1</span>
							        <span class='digit'>0</span>
							      </div>
							    </div>
							  </div>
							  <div class='time-part-wrapper'>
							    <div class='time-part seconds tens'>
							      <div class='digit-wrapper'>
							        <span class='digit'>0</span>
							        <span class='digit'>5</span>
							        <span class='digit'>4</span>
							        <span class='digit'>3</span>
							        <span class='digit'>2</span>
							        <span class='digit'>1</span>
							        <span class='digit'>0</span>
							      </div>
							    </div>
							    <div class='time-part seconds ones'>
							      <div class='digit-wrapper'>
							        <span class='digit'>0</span>
							        <span class='digit'>9</span>
							        <span class='digit'>8</span>
							        <span class='digit'>7</span>
							        <span class='digit'>6</span>
							        <span class='digit'>5</span>
							        <span class='digit'>4</span>
							        <span class='digit'>3</span>
							        <span class='digit'>2</span>
							        <span class='digit'>1</span>
							        <span class='digit'>0</span>
							      </div>
							    </div>
							  </div>
							  <div class='time-part-wrapper'>
							    <div class='time-part hundredths tens'>
							      <div class='digit-wrapper'>
							        <span class='digit'>0</span>
							        <span class='digit'>9</span>
							        <span class='digit'>8</span>
							        <span class='digit'>7</span>
							        <span class='digit'>6</span>
							        <span class='digit'>5</span>
							        <span class='digit'>4</span>
							        <span class='digit'>3</span>
							        <span class='digit'>2</span>
							        <span class='digit'>1</span>
							        <span class='digit'>0</span>
							      </div>
							    </div>
							    <div class='time-part hundredths ones'>
							      <div class='digit-wrapper'>
							        <span class='digit'>0</span>
							        <span class='digit'>9</span>
							        <span class='digit'>8</span>
							        <span class='digit'>7</span>
							        <span class='digit'>6</span>
							        <span class='digit'>5</span>
							        <span class='digit'>4</span>
							        <span class='digit'>3</span>
							        <span class='digit'>2</span>
							        <span class='digit'>1</span>
							        <span class='digit'>0</span>
							      </div>
							    </div>
							  </div>
							</div>
						";
						break;

					default:
						break;
				}
			}
			else{
				// Redireccion
				return "<script>window.location.href = '" . $redirect_route . "';</script>";
				exit;
			}
			
  		}
		return $result;
	}

	add_shortcode("reloj-rg", "gestion_reloj");

?>
