function getTimeRemaining(endtime){
    const milliseconds = endtime - (Date.parse(new Date())/1000);
    const seconds = Math.floor(milliseconds % 60);
    const minutes = Math.floor((milliseconds/60) % 60);
    const hours = Math.floor((milliseconds/(60*60)) % 24);
    const days = Math.floor(milliseconds/(60*60*24));

    return{
        'total': milliseconds,
        'seconds': seconds,
        'minutes': minutes,
        'hours': hours,
        'days': days,
    };
}

function initializeClock(id, targettime){
    var clock = document.getElementById(id);
    var daysSpan = clock.querySelector('.days');
    var hoursSpan = clock.querySelector('.hours');
    var minutesSpan = clock.querySelector('.minutes');
    var secondsSpan = clock.querySelector('.seconds');

    function updateClock(){
        var t = getTimeRemaining(targettime);

        daysSpan.innerHTML = t.days;
        hoursSpan.innerHTML = ('0' + t.hours).slice(-2);
        minutesSpan.innerHTML = ('0' + t.minutes).slice(-2);
        secondsSpan.innerHTML = ('0' + t.seconds).slice(-2);

        if(t.total <= 0){
            clearInterval(timeinterval);
        }
    }

    updateClock();
    var timeinterval = setInterval(updateClock, 1000);
}
var targettime = 234567 + (new Date().getTime()/1000);
initializeClock('clockdiv', targettime);