var redirect = document.getElementById('target_date').getAttribute("redirect");

function getTimeRemaining(endtime){
    const milliseconds = endtime - (Date.parse(new Date())/1000);
    if(milliseconds <= 0){
        window.location.replace(redirect);
    }
    const seconds = Math.floor(milliseconds % 60);
    const minutes = Math.floor((milliseconds/60) % 60);
    const hours = Math.floor((milliseconds/(60*60)) % 24);
    const days = Math.floor(milliseconds/(60*60*24));

    return{
        'total': milliseconds,
        'seconds': seconds,
        'minutes': minutes,
        'hours': hours,
        'days': days,
    };
}

function initializeClock(clock, endtime){
    var daysSpan = clock.querySelector('.days');
    var hoursSpan = clock.querySelector('.hours');
    var minutesSpan = clock.querySelector('.minutes');
    var secondsSpan = clock.querySelector('.seconds');

    function updateClock(){
        var t = getTimeRemaining(endtime);

        daysSpan.innerHTML = t.days;
        hoursSpan.innerHTML = ('0' + t.hours).slice(-2);
        minutesSpan.innerHTML = ('0' + t.minutes).slice(-2);
        secondsSpan.innerHTML = ('0' + t.seconds).slice(-2);

        if(t.total <= 0){
            clearInterval(timeinterval);
        }
    }
    updateClock();
    var timeinterval = setInterval(updateClock, 1000);
}

var target_date = parseInt(document.getElementById('target_date').getAttribute("target")); // set the countdown date
var clock = document.getElementsByName('reloj3');
for(i = 0; i<clock.length; i++) {
    initializeClock(clock[i], target_date);
}




